GIT e3e01d6005ab4b0877f1fb3efef7f5b745e743be master.kernel.org:/pub/scm/linux/kernel/git/davem/sparc-2.6.git

---
Index: MAINTAINERS
===================================================================
--- 70eef6f2d06a6f3ac36ef8ac8ea24445880986a0/MAINTAINERS  (mode:100644)
+++ 0cb9fc0f68159edf52c08ee63b7891e0efba8942/MAINTAINERS  (mode:100644)
@@ -2161,7 +2161,7 @@
 P:	David S. Miller
 M:	davem@davemloft.net
 P:	Eddie C. Dost
-M:	ecd@skynet.be
+M:	ecd@brainaid.de
 P:	Jakub Jelinek
 M:	jj@sunsite.ms.mff.cuni.cz
 P:	Anton Blanchard
Index: arch/sparc64/kernel/irq.c
===================================================================
--- 70eef6f2d06a6f3ac36ef8ac8ea24445880986a0/arch/sparc64/kernel/irq.c  (mode:100644)
+++ 0cb9fc0f68159edf52c08ee63b7891e0efba8942/arch/sparc64/kernel/irq.c  (mode:100644)
@@ -917,7 +917,8 @@
 			int count, int *eof, void *data)
 {
 	struct ino_bucket *bp = ivector_table + (long)data;
-	struct irqaction *ap = bp->irq_info;
+	struct irq_desc *desc = bp->irq_info;
+	struct irqaction *ap = desc->action;
 	cpumask_t mask;
 	int len;
 
@@ -935,11 +936,13 @@
 static inline void set_intr_affinity(int irq, cpumask_t hw_aff)
 {
 	struct ino_bucket *bp = ivector_table + irq;
+	struct irq_desc *desc = bp->irq_info;
+	struct irqaction *ap = desc->action;
 
 	/* Users specify affinity in terms of hw cpu ids.
 	 * As soon as we do this, handler_irq() might see and take action.
 	 */
-	put_smpaff_in_irqaction((struct irqaction *)bp->irq_info, hw_aff);
+	put_smpaff_in_irqaction(ap, hw_aff);
 
 	/* Migration is simply done by the next cpu to service this
 	 * interrupt.
Index: drivers/media/dvb/frontends/tda80xx.c
===================================================================
--- 70eef6f2d06a6f3ac36ef8ac8ea24445880986a0/drivers/media/dvb/frontends/tda80xx.c  (mode:100644)
+++ 0cb9fc0f68159edf52c08ee63b7891e0efba8942/drivers/media/dvb/frontends/tda80xx.c  (mode:100644)
@@ -27,7 +27,6 @@
 #include <linux/spinlock.h>
 #include <linux/threads.h>
 #include <linux/interrupt.h>
-#include <linux/irq.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/slab.h>
Index: include/asm-sparc64/parport.h
===================================================================
--- 70eef6f2d06a6f3ac36ef8ac8ea24445880986a0/include/asm-sparc64/parport.h  (mode:100644)
+++ 0cb9fc0f68159edf52c08ee63b7891e0efba8942/include/asm-sparc64/parport.h  (mode:100644)
@@ -27,12 +27,12 @@
 
 static __inline__ void enable_dma(unsigned int dmanr)
 {
+	ebus_dma_enable(&sparc_ebus_dmas[dmanr].info, 1);
+
 	if (ebus_dma_request(&sparc_ebus_dmas[dmanr].info,
 			     sparc_ebus_dmas[dmanr].addr,
 			     sparc_ebus_dmas[dmanr].count))
 		BUG();
-
-	ebus_dma_enable(&sparc_ebus_dmas[dmanr].info, 1);
 }
 
 static __inline__ void disable_dma(unsigned int dmanr)
